Subject: Re: [PATCH 0/8] asciidoc fixups

From: David Turner <[email-masked]>
Date: Thu, 14 May 2015 17:56:51 -0400

On Thu, 2015-05-14 at 14:40 -0700, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
> > On Thu, May 14, 2015 at 02:10:53PM -0700, Junio C Hamano wrote:
> >> 
> >> What I'll be pushing out today will have some "interesting" mark-up
> >> in Documentation/git-cat-file.txt (on 'jch' or 'pu') from David's
> >> '--follow-symlinks' topic.  I think AsciiDoc formatting looks OK,
> >> but can you check it with both older (peff) and newer (dscho)
> >> asciidoctor to see how well it shows?  Look for --follow-symlinks
> >> in the output.
> >
> > What's in 366bc15e9 (your SQUASH) looks terrible with older asciidoctor.
> > The "[normal]" bumps us out of the list item, left-aligning all of the
> > other paragraphs, and then the "+" continuation is treated literally
> > (probably because we are not inside a block).
> >
> > I don't see any reason we cannot use normal "+" continuation here (but
> > the hanging paragraphs need to be left-aligned, then).
> 
> The use of [normal] with indented subsequent paragraphs is what
> David's patch changed from my earlier suggestion, which used the
> ugly bog-standard "+ with unindented paragraphs"; I was afraid that
> it may lead to a fallout like this X-<.
> 
> Thanks for checking.  David, I think we need a v12 after all.

The reason I used [normal] is because + caused even non-code to be
inside <pre><code> in the HTML (when I run make doc, anyway).  But I see
that fixing the hanging paragraph's left-alignment fixes that problem.
So I will send a v12.